Subject: Re: bug#54042: 29.0.50; fido-mode and ssh not listing hosts

From: Michael Albinus <[email-masked]>
Date: Thu, 17 Feb 2022 17:43:08 +0100

Ergus via "Bug reports for GNU Emacs, the Swiss army knife of text
editors" <[email-masked]> writes:

> Hi:

Hi,

> Recently I have found that icomplete does not offer host completions
> after /ssh:
>
> After some check I got this minimal snippet:
>
> emacs -Q
> M-x fido-mode
> C-x C-f /ssh:<tab>
>
> Somehow fido mode removes the latest colon (:) and tries to get
> completion for /ssh so not host are shown (even in the completions
> buffer).
>
> If I choose at this point some of the options (sshx:, ssh:, sshfs:) it a
> buffer `ssh:` is created at / (read only of course.)
>
> trying a bit more like:
>
> C-x C-f /ssh:m<tab> (I have many servers starting with m in my ssh config)
>
> It does not show anything as completion but shows [No matches] while
> normally in *Completions* appear all the hosts defined in .ssh/config.
>
> I tried with icomplete and the problem seems to be only with fido.

This is a duplicate of bug#51386, see <https://debbugs.gnu.org/51386>.
I've merged both bugs.

Best regards, Michael.